# 安装 scikit-learn

校验者:
        [@小瑶](https://github.com/apachecn/scikit-learn-doc-zh)
        [@Loopy](https://github.com/loopyme)
翻译者:
        [@片刻](https://github.com/apachecn/scikit-learn-doc-zh)

> Note
>
>如果你想为这个项目做出贡献，建议你 [安装最新的开发版本](https://scikit-learn.org/stable/developers/advanced_installation.html#install-bleeding-edge) .

## 安装最新版本

Scikit-learn 要求:

*   Python (>= 3.5),
*   NumPy (>= 1.11.0),
*   SciPy (>= 0.17.0),
*   joblib (>= 0.11).

Scikit-learn绘图功能(即，函数以“plot_”开头，需要Matplotlib(>= 1.5.1)。一些scikit-learn示例可能需要一个或多个额外依赖项:scikit-image(>= 0.12.3)、panda(>= 0.18.0)。

>**警告:** Scikit-learn 0.20是支持Python 2.7和Python 3.4的最后一个版本。Scikit-learn现在需要Python 3.5或更新版本。

如果你已经有一个合适的 numpy 和 scipy版本，安装 scikit-learn 最简单的方法是使用 `pip`

```sh
pip install -U scikit-learn

```

或者 `conda`:

```sh
conda install scikit-learn

```

如果您还没有安装 NumPy 或 SciPy，还可以使用 conda 或 pip 来安装它们。 当使用 pip 时，请确保使用了 _binary wheels_，并且 NumPy 和 SciPy 不会从源重新编译，这可能在使用操作系统和硬件的特定配置（如 Raspberry Pi 上的 Linux）时发生。 从源代码构建 numpy 和 scipy 可能是复杂的（特别是在 Windows 上），并且需要仔细配置，以确保它们与线性代数程序的优化实现链接。而是使用如下所述的第三方发行版。

如果您必须安装 scikit-learn 及其与 pip 的依赖关系，则可以将其安装为 `scikit-learn[alldeps]`。 最常见的用例是 `requirements.txt` 用作 PaaS 应用程序或 Docker 映像的自动构建过程的一部分的文件。此选项不适用于从命令行进行手动安装。

> **注意** 在PyPy上安装时，需要注意PyPy3-v5.10+、Numpy 1.14.0+和scipy 1.1.0+。

有关更多发行版的安装说明，请参阅[其他发行版](https://scikit-learn.org/stable/other_distributions.html#install-by-distribution)。要从源代码编译开发版本，或者在体系结构中没有可用的发行版时构建包，请参阅[高级安装说明](https://scikit-learn.org/stable/developers/advanced_installation.html#advanced-installation)。

## 第三方发行版

如果您尚未安装具有 numpy 和 scipy 的 python 安装，建议您通过软件包管理器或通过 python 软件包进行安装。 这些与 numpy, scipy, scikit-learn, matplotlib 和许多其他有用的科学和数据处理库。

可用选项有:

### Canopy 和 Anaconda 适用于所有支持的平台

[Canopy](https://www.enthought.com/products/canopy) 和 [Anaconda](https://www.continuum.io/downloads) 都运送了最新版本的 scikit-learn，另外还有一大批适用于 Windows，Mac OSX 和 Linux 的科学 python 库。

Anaconda 提供 scikit-learn 作为其免费分发的一部分.

Warning

升级或卸载使用 Anaconda 安装的 scikit-learn，或者 `conda` **不应该使用 pip 命令**。代替:

升级 `scikit-learn`:

```sh
conda update scikit-learn

```

卸载 `scikit-learn`:

```sh
conda remove scikit-learn

```

使用 `pip install -U scikit-learn` 升级 or `pip uninstall scikit-learn` 卸载 可能无法正确删除 `conda` 命令安装的文件.

pip 升级和卸载操作仅适用于通过 `pip install` 安装的软件包.

### WinPython 适用于 Windows

该 [WinPython](https://winpython.github.io/) 项目分布 scikit-learn 作为额外的插件。
